/*********** NProgress **************/

#nprogress .bar {
  box-shadow: 0 1px 3px rgba(255, 255, 255, 0.7);
}

/*********** Bootstrap **************/
.no-margin {
    margin: 0;
}

* {
  outline: none !important;
}
a:hover, a:active, a:focus{
	text-decoration: none;
}
.text-danger{
	color: #d50505;
}
.text-success{
	color: #00ae00;
}
.text-warning{
	color: #FFAA00;
}
.tooltip-inner{
	background-color: rgba(0,0,0,0.75);
	border-radius: 3px;
  max-width: 500px;
}
.tooltip.top .tooltip-arrow{
	border-top-color: rgba(0,0,0,0.75);
}
.resizer-v {
  user-select: none;
  -webkit-user-select: none;
  -moz-user-select: none;
  background-color: #eee;
  bottom: 0;
  color: rgba(0, 0, 0, 0.3);
  cursor: row-resize;
  font-size: 1.7em;
  height: 7px;
  line-height: 0;
  position: absolute;
  text-align: center;
  width: 100%;
  z-index: 2;
}
.resizer-v > div {
  margin-top: -3px;
  pointer-events: none;
}
.form-control, .btn, .input-group-addon{
	border-radius: 3px;
}
.btn-primary:hover{
	background-color: #127fd9;
	border-color: #0471cb;
}
.btn-primary:active:hover{
	background-color: #0471cb;
}
.modal-content{
	border-radius: 4px;
	border: none;
  overflow: hidden;
}
.modal-header { padding: 10px 15px;}
select.form-control{
	appearance: none;
	-moz-appearance: none;
	-webkit-appearance: none;
	background-image: url(data:image/svg+xml;charset=US-ASCII,%3Csvg%20xmlns%3D%22http%3A%2F%2Fwww.w3.org%2F2000%2Fsvg%22%20viewBox%3D%220%200%20276.7%20153%22%20enable-background%3D%22new%200%200%20276.7%20153%22%3E%3Cstyle%3E.arrow%7Bfill%3A%23777%3B%7D%3C%2Fstyle%3E%3Cpath%20class%3D%22arrow%22%20d%3D%22M276.7%200H0l138.2%20153z%22%20%2F%3E%3C%2Fsvg%3E);
  background-position: right 10px center;
  background-repeat: no-repeat;
  background-size: auto 20%;
  padding-right: 20px;
}

.btn-circ {
  padding: 0;
  width: 2.5rem;
  height: 2.5rem;
  text-align: center;
  line-height: 2.5rem;
  display: inline-block;
  border-radius: 100%;
}

.transp {
  background-color: transparent;
  border: none;
}

.table > tbody > tr > td, .table > tbody > tr > th,
.table > thead > tr > td, .table > thead > tr > th{
	padding: 8px 20px 8px 8px;
}
/*********** Bootstrap add **************/
.bg-primary2, .bg-danger2,
.bg-success2, .bg-warning2{
	color: #fff;
}
.bg-primary2{ background-color: #0071CB;}
.bg-danger2{ background-color: #D50505;}
.bg-success2{ background-color: #00AE00;}
.bg-warning2{ background-color: #C5C505;}
.bg-primary2 .close, .bg-danger2 .close,
.bg-success2 .close, .bg-warning2 .close{
	color: #fff;
	opacity: 0.5;
	text-shadow: none;
}
.bg-danger2 .close:focus, .bg-danger2 .close:hover,
.bg-primary2 .close:focus, .bg-primary2 .close:hover,
.bg-success2 .close:focus, .bg-success2 .close:hover,
.bg-warning2 .close:focus, .bg-warning2 .close:hover{
	color: #fff;
	opacity: 0.75;
}
.no-select{
  -webkit-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none;
}

.no-label > label {
  display: none;
}

/*********** Table Sorter **************/
.tablesorter-header {
  outline: medium none;
  cursor: pointer;
  position: relative;
  vertical-align: top !important;
}
.tablesorter-headerAsc:after,
.tablesorter-headerDesc:after,
.tablesorter-headerUnSorted:after, .tablesorter-headerUnSorted:before {
  content: ' ';
  border: 5px solid transparent;
  position: absolute;
  right: 5px;
}
.tablesorter-headerAsc:after,
.tablesorter-headerUnSorted:after, .tablesorter-headerUnSorted:before {
  top: 17px;
  border-top-color: rgba(0,0,0,0.3);
}
.tablesorter-headerDesc:after{
  bottom: 14px;
  border-bottom-color: rgba(0,0,0,0.3);
}
.tablesorter-headerAsc,
.tablesorter-headerDesc,
.tablesorter-headerUnSorted, .tablesorter-headerUnSorted{
  padding-right: 10px;
}
.tablesorter-header-inner {
  float: left;
}

.tablesorter-headerUnSorted::before{
  border-bottom-color: rgba(0,0,0,0.3);
  top: 7px;
  border-top-color: transparent;
}
.tablesorter-headerUnSorted:after{
  top: 20px;
}
.sorter-false:before, .sorter-false:after{
	border-color: transparent;
}

/*********** Spinner **************/
.status-loading2 {
  background-color: #fbfbfb;
  border-radius: 5px;
  box-shadow: 0 0 7px #ccc;
  left: 48%;
  top: 50%;
  margin: 0 auto;
  padding: 10px;
  position: fixed;
  opacity: 0.93;
  filter: alpha(opacity=93);
  z-index: 2000;
}

.spinner {
  z-index: 2000;
  background-color: transparent;
  border: 2px solid #127fd9;
  border-top-color: transparent;
  border-left-color: transparent;
  border-radius: 150px;
  width: 12px;
  height: 12px;
  margin-bottom: 3px;
  position: fixed;
  top: 50%;
  left: 48%;
  display: none;
  -webkit-animation: spin 0.5s infinite linear;
  -moz-animation: spin 0.5s infinite linear;
  -ms-animation: spin 0.5s infinite linear;
  -o-animation: spin 0.5s infinite linear;
  animation: spin 0.5s infinite linear;
}

.spinner.large {
  border-width: 3px;
  width: 22px;
  height: 22px;
}

@keyframes spin {
  0% { transform: rotate(0deg); }
  100% { transform: rotate(360deg); }
}

.anim-spin {
  -webkit-animation: spin .5s infinite linear;
  -moz-animation: spin .5s infinite linear;
  -o-animation: spin .5s infinite linear;
  animation: spin .5s infinite linear;
}

/*********** Main **************/
.box-el {
  background-color: white;
  border-radius: 2px;
  box-shadow: 0 1px 2px 0 rgba(0, 0, 0, 0.2), 0 0 30px 0 rgba(0, 0, 0, 0.05);
  margin-bottom: 30px;
}

.link-norm,
.link-norm:hover,
.link-norm:focus {
  color: inherit;
  cursor: pointer;
}

.link-norm:hover {
  text-decoration: underline;
}

.table-filters {
  background: rgba(0, 0, 0, 0.05);
  border: 1px solid rgba(0, 0, 0, 0.05);
  padding: 10px;
  border-radius: 2px;
}

.dynamic-btns {
  text-align: right;
}

.dynamic-btn {
  transition: all 0.2s;
  border-radius: 3px;
  cursor: pointer;
  font-size: 2rem;
  padding: 4px 11px;
  background-color: transparent;
  border: none;
  line-height: normal;
}

.dynamic-btn:hover {
  background-color: rgba(0, 0, 0, 0.2);
  color: white;
}

.remove-from-collection {
  font-size: 4rem;
  opacity: 0.3;
  transition: all 0.2s;
  margin: 0;
  padding: 0;
}

.add-to-collection--bright {
  transition: all 0.2s;
  border-radius: 3px;
  cursor: pointer;
  float: right;
  font-size: 25px;
  padding: 0 11px;
}

.add-to-collection--bright:hover {
  color: white;
  background-color: rgba(0, 0, 0, 0.3);
}

.add-to-collection--bright:active {
  background-color: rgba(0, 0, 0, 0.1);
}

.remove-from-collection:hover {
  opacity: 1;
  color: #d50505;
}

.row-form {
  margin-bottom: 20px;
  margin-top: 10px;
}
